
Packaging - Bug #12915

Some SCL packages require non-SCL ruby

12/22/2015 08:33 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: RPMs   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A few of our SCL packages still have requires on /usr/bin/ruby.  This is probably the result of auto-requires and some example scripts

or similar that reference /usr/bin/ruby instead of /usr/bin/env ruby.

tfm-rubygem-gettext-doc-0:3.1.4-3.el7.noarch

tfm-rubygem-net-ssh-0:2.9.2-1.el7.noarch

tfm-rubygem-passenger-devel-0:4.0.18-9.9.el7.centos.x86_64

tfm-rubygem-pg-doc-0:0.15.1-1.el7.centos.noarch

tfm-rubygem-ruby2ruby-0:2.1.3-2.el7.noarch

tfm-rubygem-ruby_parser-0:3.6.3-2.el7.noarch

Associated revisions

Revision d81450a3 - 01/06/2016 06:00 AM - Dominic Cleal

fixes #12915 - replace shebangs to remove deps on non-SCL Ruby

History

#1 - 01/06/2016 07:01 AM - Dominic Cleal

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset d81450a322603249c617656517e1a24ce3e8b11e.

#2 - 01/06/2016 07:21 AM - Dominic Cleal

- translation missing: en.field_release set to 71
